{
  "margin-top": 0,
  "margin-left": 120,
  "margin-bottom": 0,
  "margin-right": 120,
  "height": 61, 
  "layer": "top",
  "position": "top",
  "spacing": 15,
  "modules-left": ["custom/nomarchy", "clock", "clock#date"],
  "modules-center": ["hyprland/workspaces"],
  "modules-right": [ "idle_inhibitor", "pulseaudio", "custom/battery", "backlight", "tray", "custom/powermenu"],

  "hyprland/workspaces": {
      "disable-scroll": true,
      "all-outputs": true,
      "on-click": "activate",
      "on-scroll-up": "hyprctl dispatch workspace r+1",
      "on-scroll-down": "hyprctl dispatch workspace r-1",
      "persistent_workspaces": {
          "1": [],
          "2": [],
          "3": [],
          "4": [],
          "5": [],
          "6": [],
          "7": [],
          "8": [],
          "9": [],
          "10": []
      }
  },

  "tray": {
	"icon-size": 20,
	"spacing": 5
  },
  
  "custom/nomarchy": {
      "interval": "once",
      "format": "\uf000",
      "on-click": "nomarchy-menu",
      "tooltip-format": "Application Launcher"
    },

  "custom/update": {
    "format": "",
    "exec": "nomarchy-update-available",
    "on-click": "nomarchy-launch-floating-terminal-with-presentation nomarchy-update",
    "tooltip-format": "Nomarchy update available",
    "signal": 7,
    "interval": 21600
  },

  "custom/screenrecording-indicator": {
    "on-click": "nomarchy-cmd-screenrecord",
    "exec": "~/.config/nomarchy/default/waybar/indicators/screen-recording.sh",
    "signal": 8,
    "return-type": "json"
  },

  "custom/idle-indicator": {
    "on-click": "nomarchy-toggle-idle",
    "exec": "~/.config/nomarchy/default/waybar/indicators/idle.sh",
    "signal": 9,
    "return-type": "json"
  },

  "custom/notification-silencing-indicator": {
    "on-click": "nomarchy-toggle-notification-silencing",
    "exec": "~/.config/nomarchy/default/waybar/indicators/notification-silencing.sh",
    "signal": 10,
    "return-type": "json"
  },

  "custom/voxtype": {
    "exec": "nomarchy-voxtype-status",
    "return-type": "json",
    "format": "{icon}",
    "format-icons": {
      "idle": "",
      "recording": "󰍬",
      "transcribing": "󰔟"
    },
    "tooltip": true,
    "on-click-right": "nomarchy-voxtype-config",
    "on-click": "nomarchy-voxtype-model"
  },

    "backlight": {
      "max-length": "4",
      "format": "{icon} {percent}%",
      "tooltip-format": "{percent}%",
      "format-icons": ["󱩎","󱩏","󱩐","󱩑", "󱩓", "󱩔", "󰛨"],
      "on-click": "",
      "on-scroll-up": "brightnessctl set 10%-",
      "on-scroll-down": "brightnessctl set +10%"
  },

  "memory": {
    "interval": 30,
    "format": "  {}%",
    "format-alt":" {used:0.1f}G",
    "max-length": 10
},

 "idle_inhibitor": {
    "format": "{icon}",
    "format-icons": {
        "activated": " 󰅶 ",
        "deactivated": " 󰾪 "
    }
},

  "pulseaudio": {
      "scroll-step": 5,
      "format": "{icon} {volume}%",
      "format-bluetooth": "{icon} {volume}%",
      "format-bluetooth-muted": " {icon}",
      "format-muted": "  muted",
      "format-icons": {
          "headphone": "",
          "hands-free": "",
          "headset": "",
          "phone": "",
          "portable": "",
          "car": "",
          "default": ["", "", ""]
      },
      "on-click": "pamixer -t",
      "on-click-middle": "nomarchy-launch-audio",
      "on-click-right": "pavucontrol",
      "tooltip-format": "{icon} {desc} | {volume}%"
  },

"network": {
      "format-wifi": " {signalStrength}%",
      "format-ethernet": " {signalStrength}%",
      "format-disconnected": "󰤭",
      "on-click": "nomarchy-launch-wifi"
},

"custom/battery": {
    "interval": 30,
    "format": "{}",
    "exec": "nomarchy-battery-status",
    "on-click": "nomarchy-menu power"
},

"clock": {
    "format": " {:%H:%M}",
    "tooltip": false
},

"clock#date": {
  "format": " {:%A, %B %d, %Y}",
  "on-click": "kitty calcurse",
  "tooltip-format": "Open calendar"
},

"custom/powermenu": {
    "format": "",
    "on-click": "wlogout",
    "tooltip": false
  }
}
